<?xml version="1.0" encoding="utf-8"?><!--
  ~ Copyright (c) 2018, Nordic Semiconductor
  ~ All rights reserved.
  ~
  ~ Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
  ~
  ~ 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  ~
  ~ 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the
  ~ documentation and/or other materials provided with the distribution.
  ~
  ~ 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this
  ~ software without specific prior written permission.
  ~
  ~ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  ~ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  ~ HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  ~ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
  ~ ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
  ~ USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="no.nordicsemi.android.blinky">

    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="no.nordicsemi.android.LOG" />
    <uses-permission android:name="android.permission.INTERNET" />

    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="true" />

    <application
        android:allowBackup="true"
        android:fullBackupContent="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning">
        <activity
            android:name=".SplashScreenActivity"
            android:launchMode="singleTop"
            android:noHistory="true"
            android:theme="@style/AppTheme.SplashScreen">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name=".learn2crack.MainActivity"
            android:theme="@style/AppTheme.LoginRegister"
            android:launchMode="singleTask">
        </activity>

        <activity
            android:name=".ScannerActivity"
            android:icon="@drawable/ic_blinky_feature"
            android:label="@string/feature_name"
            android:launchMode="singleTop">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="no.nordicsemi.android.nrftoolbox.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".BlinkyActivity"
            android:launchMode="singleTop"
            android:parentActivityName=".ScannerActivity"></activity>



        <activity
            android:name=".learn2crack.ProfileActivity"
            android:theme="@style/AppTheme.LoginRegister"
            android:launchMode="singleTask"></activity>


        <activity
            android:name=".learn2crack.MakeReservationsActivity"
            android:theme="@style/AppTheme.LoginRegister"
            android:launchMode="singleTask"></activity>

        <activity
            android:name=".learn2crack.ChooseCarActivity"
            android:theme="@style/AppTheme.LoginRegister"
            android:launchMode="singleTask"></activity>
        <activity
            android:name=".learn2crack.ShowReservationInfo"
            android:theme="@style/AppTheme.LoginRegister"
            android:launchMode="singleTask"></activity>

        <activity
            android:name=".learn2crack.ViewReservationsActivity"
            android:theme="@style/AppTheme.LoginRegister"
            android:launchMode="singleTask"></activity>
    </application>

</manifest>
